%define upstream_name    DateTime-Format-Natural
%define upstream_version 0.89

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base class for DateTime::Format::Natural::Lang::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime)
BuildRequires: perl(Exporter)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More)
BuildRequires: perl(boolean)
# not autodetected 
Requires: perl(boolean)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
'DateTime::Format::Natural' takes a string with a human readable date/time
and creates a machine readable one by applying natural parsing logic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/dateparse
/usr/share/man/man1/dateparse.1.lzma


%changelog
* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2011.0
+ Revision: 569935
- update to 0.89

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2011.0
+ Revision: 553119
- update to 0.88

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.860.0-2mdv2010.1
+ Revision: 543054
- fix Requires

* Wed Apr 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 537578
- update to 0.86

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.1
+ Revision: 519951
- update to 0.85

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2010.1
+ Revision: 510074
- update to 0.84

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.830.0-1mdv2010.1
+ Revision: 491163
- update to 0.83

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.820.0-1mdv2010.1
+ Revision: 480714
- update to 0.82

* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.810.0-1mdv2010.1
+ Revision: 471409
- adding missing buildrequires:
- import perl-DateTime-Format-Natural


* Sun Nov 29 2009 cpan2dist 0.81-1mdv
- initial mdv release, generated with cpan2dist
